HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetBalanceHistory

Contains the different functions to run the operation getBalanceHistory

  • 5 types
  • 4 values
  • Packagestripeapi-3.0.0.0
  • Exports9
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetBalanceHistory.hs
valuegetBalanceHistory
  1. :: MonadHTTP m
  2. => GetBalanceHistoryParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetBalanceHistoryResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/balance/history

<p>Returns a list of transactions that have contributed to the Stripe account balance (e.g., charges, transfers, and so forth). The transactions are returned in sorted order, with the most recent transactions appearing first.</p>

<p>Note that this endpoint was previously called “Balance history” and used the path <code>/v1/balance/history</code>.</p>

Defines the object schema located at paths./v1/balance/history.GET.parameters in the specification.

Constructors

  • GetBalanceHistoryParameters
    • getBalanceHistoryParametersQueryCreated :: Maybe GetBalanceHistoryParametersQueryCreated'Variants

      queryCreated: Represents the parameter named 'created'

    • getBalanceHistoryParametersQueryCurrency :: Maybe Text

      queryCurrency: Represents the parameter named 'currency'

      Only return transactions in a certain currency. Three-letter ISO currency code, in lowercase. Must be a supported currency.

    • getBalanceHistoryParametersQueryEndingBefore :: Maybe Text

      queryEnding_before: Represents the parameter named 'ending_before'

      A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

      Constraints:

      • Maximum length of 5000

    • getBalanceHistoryParametersQueryExpand :: Maybe [Text]

      queryExpand: Represents the parameter named 'expand'

      Specifies which fields in the response should be expanded.

    • getBalanceHistoryParametersQueryLimit :: Maybe Int

      queryLimit: Represents the parameter named 'limit'

      A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

    • getBalanceHistoryParametersQueryPayout :: Maybe Text

      queryPayout: Represents the parameter named 'payout'

      For automatic Stripe payouts only, only returns transactions that were paid out on the specified payout ID.

      Constraints:

      • Maximum length of 5000

    • getBalanceHistoryParametersQuerySource :: Maybe Text

      querySource: Represents the parameter named 'source'

      Only returns the original transaction.

      Constraints:

      • Maximum length of 5000

    • getBalanceHistoryParametersQueryStartingAfter :: Maybe Text

      queryStarting_after: Represents the parameter named 'starting_after'

      A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

      Constraints:

      • Maximum length of 5000

    • getBalanceHistoryParametersQueryType :: Maybe Text

      queryType: Represents the parameter named 'type'

      Only returns transactions of the given type. One of: `adjustment`, `advance`, `advance_funding`, `anticipation_repayment`, `application_fee`, `application_fee_refund`, `charge`, `connect_collection_transfer`, `contribution`, `issuing_authorization_hold`, `issuing_authorization_release`, `issuing_dispute`, `issuing_transaction`, `payment`, `payment_failure_refund`, `payment_refund`, `payout`, `payout_cancel`, `payout_failure`, `refund`, `refund_failure`, `reserve_transaction`, `reserved_funds`, `stripe_fee`, `stripe_fx_fee`, `tax_fee`, `topup`, `topup_reversal`, `transfer`, `transfer_cancel`, `transfer_failure`, or `transfer_refund`.

      Constraints:

      • Maximum length of 5000

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/balance/history.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getBalanceHistory.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetBalanceHistoryResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/balance/history.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON